| Qore SewioWebSocketClient Module Reference 1.2

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
SewioWebSocketClient::SewioWebSocketConnection Class Reference

class for Sewio RTLS Studio websocket connections; returns an object of class SewioWebSocketClient for receiving websocket events from a Sewio RTLS Studio websocket server More...

Inheritance diagram for SewioWebSocketClient::SewioWebSocketConnection:
[legend]

## Public Member Functions
| constructor (string name, string description, string url, hash attributes={}, hash options={})
| creates the SewioWebSocketConnection connection object More...
string | getType ()
| returns `"sewiows"`

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.
const | DefaultOptions = ...
| default options
const | Options = map {$1: True}
| object connection options

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
SewioWebSocketClient | getImpl (bool connect=True, *hash rtopts)
| returns a SewioWebSocketClient object More...

## Detailed Description

class for Sewio RTLS Studio websocket connections; returns an object of class SewioWebSocketClient for receiving websocket events from a Sewio RTLS Studio websocket server

supports the following options:

- `"apikey"`: (requried) the Sewio RTLS Studio API key to use for the connection
- `"connect_timeout"`: connection timeout to use in milliseconds
- `"http_version"`: HTTP version to use (`"1.0"` or `"1.1"`, defaults to `"1.1"`)
- `"max_redirects"`: maximum redirects to support
- `"proxy"`: proxy URL to use
- `"timeout"`: transfer timeout to use in milliseconds

also supports the following runtime options in getImpl() for connection logging:

- `"callback"`: (required) a callback to receive websocket events
- `"dbglog"`: a closure taking a single string for detailed technical connection logging
- `"errlog"`: a closure accepting a single string for error logging
- `"log"`: a closure accepting a single string for logging

## Member Function Documentation

## ◆ constructor()

SewioWebSocketClient::SewioWebSocketConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash | attributes = `{}`,
|  | hash | options = `{}`
| ) |  |

creates the SewioWebSocketConnection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## ◆ getImpl()

SewioWebSocketClient SewioWebSocketClient::SewioWebSocketConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |
| protected

returns a SewioWebSocketClient object

Parameters

  connect | if True, then WebSocketClient::connect() is called
  rtopts | supports the following runtime options in getImpl() for connection logging: `"log"`: a closure accepting a single string for logging `"errlog"`: a closure accepting a single string for error logging `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  a SewioWebSocketClient object